Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Interface WtoConstants

All Known Implementing Classes:
  MvsConsole, WtoMessage

    public interface WtoConstants

Defines constants used by `MvsConsole` and `WtoMessage`

Field Summary
`static int` | `DESC_CRITICAL_EVENTUAL_ACTION_REQUESTED` WTO descriptor code "Critical eventual action requested".
`static int` | `DESC_DYNAMIC_STATUS_DISPLAYS` WTO descriptor code "Dynamic status displays".
`static int` | `DESC_EVENTUAL_ACTION_REQUIRED` WTO descriptor code "Eventual action required".
`static int` | `DESC_IMMEDIATE_ACTION_REQUIRED` WTO descriptor code "Immediate action required".
`static int` | `DESC_IMMEDIATE_COMMAND_RESPONSE` WTO descriptor code "Immediate command response".
`static int` | `DESC_IMPORTANT_INFORMATION_MESSAGES` WTO descriptor code "Important information messages".
`static int` | `DESC_JOB_STATUS` WTO descriptor code "Job status".
`static int` | `DESC_MESSAGE_PREVIOUSLY_AUTOMATED` WTO descriptor code "Message previously automated".
`static int` | `DESC_OPERATOR_REQUEST` WTO descriptor code "Out-of-line message".
`static int` | `DESC_OUT_OF_LINE_MESSAGE` WTO descriptor code "Out-of-line message".
`static int` | `DESC_RETAIN` WTO descriptor code "Retain action message until the job step terminates".
`static int` | `DESC_SYSTEM_FAILURE` WTO descriptor code "System failure".
`static int` | `DESC_SYSTEM_STATUS` WTO descriptor code "System status".
`static int` | `FLAG_CONSOLE_HARDCOPY`
`static int` | `ROUTCDE_DASD_POOL` WTO routing code "Direct access pool".
`static int` | `ROUTCDE_DISK_LIBRARY` WTO routing code "Disk library".
`static int` | `ROUTCDE_EMULATORS` WTO routing code "Emulators".
`static int` | `ROUTCDE_MASTER_CONSOLE_ACTION` WTO routing code "Master console action".
`static int` | `ROUTCDE_MASTER_CONSOLE_INFORMATION` WTO routing code "Master console information".
`static int` | `ROUTCDE_PROGRAMMER_INFORMATION` WTO routing code "Programmer information".
`static int` | `ROUTCDE_SYSPROG_INFORMATION` WTO routing code "System error/maintenance/system programmer information".
`static int` | `ROUTCDE_SYSTEM_SECURITY` WTO routing code "System security".
`static int` | `ROUTCDE_TAPE_LIBRARY` WTO routing code "Tape library".
`static int` | `ROUTCDE_TAPE_POOL` WTO routing code "Tape pool".
`static int` | `ROUTCDE_TELEPROCESSING_CONTROL` WTO routing code "Teleprocessing control".
`static int` | `ROUTCDE_UNIT_RECORD_POOL` WTO routing code "Unit record pool".

Field Detail

### FLAG_CONSOLE_HARDCOPY

    static final int FLAG_CONSOLE_HARDCOPY

See Also:
  Constant Field Values

### ROUTCDE_MASTER_CONSOLE_ACTION

    static final int ROUTCDE_MASTER_CONSOLE_ACTION

  WTO routing code "Master console action".

  See Also:
    Constant Field Values

### ROUTCDE_MASTER_CONSOLE_INFORMATION

    static final int ROUTCDE_MASTER_CONSOLE_INFORMATION

  WTO routing code "Master console information".

  See Also:
    Constant Field Values

### ROUTCDE_TAPE_POOL

    static final int ROUTCDE_TAPE_POOL

  WTO routing code "Tape pool".

  See Also:
    Constant Field Values

### ROUTCDE_DASD_POOL

    static final int ROUTCDE_DASD_POOL

  WTO routing code "Direct access pool".

  See Also:
    Constant Field Values

### ROUTCDE_TAPE_LIBRARY

    static final int ROUTCDE_TAPE_LIBRARY

  WTO routing code "Tape library".

  See Also:
    Constant Field Values

### ROUTCDE_DISK_LIBRARY

    static final int ROUTCDE_DISK_LIBRARY

  WTO routing code "Disk library".

  See Also:
    Constant Field Values

### ROUTCDE_UNIT_RECORD_POOL

    static final int ROUTCDE_UNIT_RECORD_POOL

  WTO routing code "Unit record pool".

  See Also:
    Constant Field Values

### ROUTCDE_TELEPROCESSING_CONTROL

    static final int ROUTCDE_TELEPROCESSING_CONTROL

  WTO routing code "Teleprocessing control".

  See Also:
    Constant Field Values

### ROUTCDE_SYSTEM_SECURITY

    static final int ROUTCDE_SYSTEM_SECURITY

  WTO routing code "System security".

  See Also:
    Constant Field Values

### ROUTCDE_SYSPROG_INFORMATION

    static final int ROUTCDE_SYSPROG_INFORMATION

  WTO routing code "System error/maintenance/system programmer information".

  See Also:
    Constant Field Values

### ROUTCDE_PROGRAMMER_INFORMATION

    static final int ROUTCDE_PROGRAMMER_INFORMATION

  WTO routing code "Programmer information".

  See Also:
    Constant Field Values

### ROUTCDE_EMULATORS

    static final int ROUTCDE_EMULATORS

  WTO routing code "Emulators".

  See Also:
    Constant Field Values

### DESC_SYSTEM_FAILURE

    static final int DESC_SYSTEM_FAILURE

  WTO descriptor code "System failure". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_IMMEDIATE_ACTION_REQUIRED

    static final int DESC_IMMEDIATE_ACTION_REQUIRED

  WTO descriptor code "Immediate action required". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_EVENTUAL_ACTION_REQUIRED

    static final int DESC_EVENTUAL_ACTION_REQUIRED

  WTO descriptor code "Eventual action required". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_SYSTEM_STATUS

    static final int DESC_SYSTEM_STATUS

  WTO descriptor code "System status". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_IMMEDIATE_COMMAND_RESPONSE

    static final int DESC_IMMEDIATE_COMMAND_RESPONSE

  WTO descriptor code "Immediate command response". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_JOB_STATUS

    static final int DESC_JOB_STATUS

  WTO descriptor code "Job status". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_RETAIN

    static final int DESC_RETAIN

  WTO descriptor code "Retain action message until the job step terminates". Can be assigned in combination with any other descriptor code.

  See Also:
    Constant Field Values

### DESC_OUT_OF_LINE_MESSAGE

    static final int DESC_OUT_OF_LINE_MESSAGE

  WTO descriptor code "Out-of-line message". Can be assigned in combination with any other descriptor code.

  See Also:
    Constant Field Values

### DESC_OPERATOR_REQUEST

    static final int DESC_OPERATOR_REQUEST

  WTO descriptor code "Out-of-line message". Can be assigned in combination with any other descriptor code.

  See Also:
    Constant Field Values

### DESC_DYNAMIC_STATUS_DISPLAYS

    static final int DESC_DYNAMIC_STATUS_DISPLAYS

  WTO descriptor code "Dynamic status displays". Can be assigned in combination with any other descriptor code.

  See Also:
    Constant Field Values

### DESC_CRITICAL_EVENTUAL_ACTION_REQUESTED

    static final int DESC_CRITICAL_EVENTUAL_ACTION_REQUESTED

  WTO descriptor code "Critical eventual action requested". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_IMPORTANT_INFORMATION_MESSAGES

    static final int DESC_IMPORTANT_INFORMATION_MESSAGES

  WTO descriptor code "Important information messages". Mutually exclusive with other descriptor codes except those where specified otherwise.

  See Also:
    Constant Field Values

### DESC_MESSAGE_PREVIOUSLY_AUTOMATED

    static final int DESC_MESSAGE_PREVIOUSLY_AUTOMATED

  WTO descriptor code "Message previously automated". Can be assigned in combination with any other descriptor code.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD